- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- y
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - c -

- CanonMakerNote() : Exiv2::CanonMakerNote
- changeState() : Exiv2::TiffReader
- charsetId() : Exiv2::CommentValue
- CharsetId : Exiv2::CommentValue
- charsetId_ : Exiv2::CommentValue::CharsetTable
- charsetIdByCode() : Exiv2::CommentValue::CharsetInfo
- charsetIdByName() : Exiv2::CommentValue::CharsetInfo
- CharsetTable() : Exiv2::CommentValue::CharsetTable
- checkHeader() : Exiv2::SonyMakerNote, Exiv2::SigmaMakerNote, Exiv2::PanasonicMakerNote, Exiv2::OlympusMakerNote, Exiv2::Nikon3MakerNote, Exiv2::Nikon2MakerNote, Exiv2::IfdMakerNote, Exiv2::FujiMakerNote
- CiffComponent() : Exiv2::CiffComponent
- CiffDirectory() : Exiv2::CiffDirectory
- CiffEntry() : Exiv2::CiffEntry
- CiffHeader() : Exiv2::CiffHeader
- cleanup() : Exiv2::MakerNoteFactory, Params, Action::TaskFactory
- clear() : Exiv2::IptcData, Exiv2::Ifd, Exiv2::ExifData
- clearComment() : Exiv2::TiffImage, Exiv2::MrwImage, Exiv2::JpegBase, Exiv2::Image, Exiv2::CrwImage
- clearExifData() : Exiv2::TiffImage, Exiv2::MrwImage, Exiv2::JpegBase, Exiv2::Image, Exiv2::CrwImage
- clearIptcData() : Exiv2::TiffImage, Exiv2::MrwImage, Exiv2::JpegBase, Exiv2::Image, Exiv2::CrwImage
- clearMetadata() : Exiv2::TiffImage, Exiv2::MrwImage, Exiv2::JpegBase, Exiv2::Image, Exiv2::CrwImage
- clone() : Exiv2::ValueType< T >, Exiv2::TimeValue, Exiv2::DateValue, Exiv2::CommentValue, Exiv2::AsciiValue, Exiv2::StringValue, Exiv2::StringValueBase, Exiv2::DataValue, Exiv2::Value, Exiv2::ExifKey, Exiv2::SonyMakerNote, Exiv2::SigmaMakerNote, Exiv2::PanasonicMakerNote, Exiv2::OlympusMakerNote, Exiv2::Nikon3MakerNote, Exiv2::Nikon2MakerNote, Exiv2::Nikon1MakerNote, Exiv2::MinoltaMakerNote, Exiv2::Key, Exiv2::IfdMakerNote, Exiv2::MakerNote, Exiv2::FujiMakerNote, Exiv2::IptcKey, Exiv2::CanonMakerNote, Action::FixIso, Action::Modify, Action::Insert, Action::Extract, Action::Erase, Action::Adjust, Action::Rename, Action::Print, Action::Task
- clone_() : Exiv2::StringValueBase
- close() : Exiv2::MemIo, Exiv2::FileIo, Exiv2::IoCloser, Exiv2::BasicIo
- CmdFiles : Params
- cmdFiles_ : Params
- cmdId_ : CmdIdAndString, ModifyCmd
- CmdLines : Params
- cmdLines_ : Params
- cmdString_ : CmdIdAndString
- cmpPreEntriesByOffset : Exiv2::Ifd
- code() : Exiv2::CommentValue::CharsetInfo, Exiv2::Error, Exiv2::AnyError
- code_ : Exiv2::CommentValue::CharsetTable, Exiv2::ErrMsg
- com_ : Exiv2::JpegBase
- comment() : Exiv2::CommentValue, Exiv2::TiffImage, Exiv2::MrwImage, Exiv2::JpegBase, Exiv2::Image, Exiv2::CrwImage
- comment_ : Params
- CommentValue() : Exiv2::CommentValue
- CommonTarget : Params
- component() : Exiv2::Entry
- Components : Exiv2::TiffComponent, Exiv2::CiffComponent
- const_iterator : Exiv2::ValueType< T >, Exiv2::IptcData, Exiv2::Ifd, Exiv2::ExifData
- copy() : Exiv2::ValueType< T >, Exiv2::TimeValue, Exiv2::DateValue, Exiv2::StringValueBase, Exiv2::DataValue, Exiv2::Value, Exiv2::MinoltaMakerNote, Exiv2::Metadatum, Exiv2::IfdMakerNote, Exiv2::MakerNote, Exiv2::IptcData, Exiv2::Iptcdatum, Exiv2::TiffHeader, Exiv2::Ifd, Exiv2::ExifData, Exiv2::JpegThumbnail, Exiv2::TiffThumbnail, Exiv2::Thumbnail, Exiv2::Exifdatum, Exiv2::CanonMakerNote
- copyHeader() : Exiv2::IfdMakerNote
- copyThumbnail() : Exiv2::ExifData
- count() : Exiv2::ValueType< T >, Exiv2::TimeValue, Exiv2::DateValue, Exiv2::StringValueBase, Exiv2::DataValue, Exiv2::Value, Exiv2::TiffEntryBase, Exiv2::Metadatum, Exiv2::IptcData, Exiv2::Iptcdatum, Exiv2::Ifd, Exiv2::Entry, Exiv2::ExifData, Exiv2::Exifdatum
- create() : Exiv2::Value, Exiv2::TiffReader, Exiv2::TiffCreator, Exiv2::SonyMakerNote, Exiv2::SigmaMakerNote, Exiv2::PanasonicMakerNote, Exiv2::OlympusMakerNote, Exiv2::Nikon3MakerNote, Exiv2::Nikon2MakerNote, Exiv2::Nikon1MakerNote, Exiv2::MinoltaMakerNote, Exiv2::TiffMnCreator, Exiv2::MakerNoteFactory, Exiv2::IfdMakerNote, Exiv2::MakerNote, Exiv2::ImageFactory, Exiv2::FujiMakerNote, Exiv2::CanonMakerNote, Action::TaskFactory
- createFct() : Exiv2::TiffRwState
- crwDir_ : Exiv2::CrwMapping, Exiv2::CrwSubDir
- CrwImage() : Exiv2::CrwImage
- CrwMapping() : Exiv2::CrwMapping
- crwTagId_ : Exiv2::CrwMapping